[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TPropsStorage.StoreProperties

Store a list of properties

## Declaration

Source position: rttiutils.pp line 112

`public procedure TPropsStorage.StoreProperties(`
`PropList: TStrings`
`);`

## Arguments

`PropList` |  | List with names of properties to store

## Description

StoreProperties stores the values of all properties in PropList in the storage mechanism. The list should contain names of published properties of the AObject object.

## Errors

If an invalid property name is specified, an exception will be raised.

## See also

AObject |  | Object to load or store properties from
StoreAnyProperty |  | Store a property value
LoadProperties |  | Load a list of properties
LoadAnyProperty |  | Load a property value

Documentation generated on: Feb 26 2014